%define prefix %{_prefix}
%define version 3.72
%define release 1mdk

Summary:	Video4Linux Stream Capture Viewer
Name:		xawtv
Version:	%{version}
Release:	%{release}
Source0:	%{name}_%{version}.tar.bz2
Source1:	xawtvrc-paris
Source2:	%{name}
Source3:	%{name}-32.png
Source4:	%{name}-16.png
Source5:	%{name}-48.png
Patch1:		xawtv_3.62-dpms.patch.bz2
Group:		Video
License:	GPL
#OLD_STILL_VALID_URL: http://www.strusel007.de/linux/xawtv/
URL:		http://bytesex.org/xawtv
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	XFree86 
BuildRequires:	XFree86-devel
BuildRequires:	aalib-devel
BuildRequires:	gcc
BuildRequires:	lesstif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	libpng
BuildRequires:	xpm-devel

Requires:	common-licenses libpng
Conflicts:	dynamic <= 0.3-2mdk

%package radio
Summary: Xawtv radio support
Group: Sound

%package misc
Summary: Xawtv miscellous stuff
Group: Video

%description
A collection tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * streamer - capture tool (images / movies)
 * v4lctl   - command line tool to control v4l devices

%description radio
This is a ncurses-based radio application

%description misc
This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * dump-mixers - dump mixer settings to stdout
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p0 -b .dpms

%build
%configure --enable-xfree-ext --enable-xaw3d --enable-xvideo --enable-aa --disable-motif
# Quicktime support not enabled, so libpng is not needed
find . -name 'Makefile' | xargs perl -pi -e 's/-lpng//g'
make depend
make

%install
rm -fr $RPM_BUILD_ROOT
perl -pi -e 's!-o root -g root!!g' src/Makefile
perl -pi -e 's! \$\(R\)! !g' font/Makefile
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
 %makeinstall_std ROOT="$RPM_BUILD_ROOT" FONTDIR=$RPM_BUILD_ROOT/%{prefix}/lib/X11/fonts/misc SUID_ROOT=""

install src/{v4l-conf,fbtv,rootv,scantv,subtitles,streamer,ttv,xawtv-remote,xawtv,v4lctl} $RPM_BUILD_ROOT/%_bindir

mkdir -p $RPM_BUILD_ROOT%_libdir/X11/fonts/misc/
install font/led*.pcf $RPM_BUILD_ROOT%_libdir/X11/fonts/misc/


install -m 644 src/Xawtv.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults; ln Xawtv.ad Xawtv; ln Xawtv.ad Xawtv-color)
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/XawTV

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir}/{large,mini},%{_menudir}}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cat > $RPM_BUILD_ROOT%{_menudir}/xawtv <<EOF
?package(xawtv): command="XawTV" icon="%{name}.png" section="Multimedia/Video" \
title="XawTV" longtitle="The X11 Video4Linux Stream Capture Viewer" \
needs="x11"
EOF
cp %{SOURCE1} .|| true

# dynamic desktop support

%define launchers /etc/dynamic/launchers/webcam

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=XawTV \$device
Comment=The X11 Video4Linux Stream Capture Viewer
TryExec=/usr/bin/XawTV
Exec=/usr/bin/XawTV -c \$device
Terminal=false
Icon=xawtv.png
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(4711,root,root) %{_bindir}/v4l-conf
%defattr(-,root,root)
%config(noreplace) %launchers/%name.desktop
%{_bindir}/alevtd
%{_bindir}/fbtv
%{_bindir}/rootv
%{_bindir}/ntsc-cc
%{_bindir}/scantv
%{_bindir}/subtitles 
%{_bindir}/streamer
%{_bindir}/ttv
%{_bindir}/xawtv-remote
%{_bindir}/xawtv
%{_bindir}/XawTV
%{_bindir}/v4lctl
%{_bindir}/webcam
%{_mandir}/man1/alevtd.1*
%_mandir/man1/dump-mixers*
%{_mandir}/man1/fbtv.1*
%_mandir/man1/motv*
%_mandir/man1/ntsc*
%_mandir/man1/record*
%{_mandir}/man1/rootv.1*
%{_mandir}/man1/scantv.1*
%_mandir/man1/streamer*
%_mandir/man1/subtitles*
%_mandir/man1/ttv*
%{_mandir}/man1/v4lctl.1*
%{_mandir}/man1/xawtv-remote.1*
%{_mandir}/man1/xawtv.1*
%{_mandir}/man1/webcam.1*
%_mandir/man5/xawtvrc*
%_mandir/man8/v4l*
/usr/X11R6/lib/X11/app-defaults/Xawtv*
%{_libdir}/X11/fonts/misc/
%dir %{_libdir}/%name
%{_libdir}/%name/*
%{_menudir}/xawtv
%{_iconsdir}/xawtv.png
%{_miconsdir}/xawtv.png
%{_liconsdir}/xawtv.png
%doc Changes Programming-FAQ README*
%doc README* UPDATE_TO_v3.0
%doc contrib/dot.lircrc contrib/frequencies* xawtvrc-paris

%files radio
%defattr(-,root,root)
%{_bindir}/radio
%{_mandir}/man1/radio*

%files misc
%defattr(-,root,root)
%{_bindir}/dump-mixers
%{_bindir}/propwatch
%{_bindir}/record
%{_bindir}/showriff
%{_mandir}/man1/propwatch*
%{_mandir}/man1/showriff.1*
%doc tools/README

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 20
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 20

cd %{_prefix}/X11R6/lib/X11/fonts/misc
test -x %{_prefix}/X11R6/bin/mkfontdir && mkfontdir || true
if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true
%{update_menus}

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%{clean_menus}

if [ "$1" = "0" ]; then
  cd %{_prefix}/X11R6/lib/X11/fonts/misc
  test -x %{_prefix}/X11R6/bin/mkfontdir && mkfontdir || true
	if [ -f /var/lock/subsys/xfs ]; then
		service xfs restart || true
	fi
  test -n "$DISPLAY" && xset fp rehash || true
fi

%changelog
* Thu Feb 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.72-1mdk
- core:
	* update (bug fixes)
- wrapper:
	* workaround for fscking dams (who moved drakxtv around path)
	* configurator fallback : drakxtv  ->  rxtv -e scantv  ->  scantv

* Thu Feb 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.71-1mdk
- new release

* Wed Feb 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.70-1mdk
- new release

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.69-1mdk
- new release

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-4mdk
- xpm to png icons conversion

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-3mdk
- fix scan4tv_channels script on first run (should do this in drakfirstime)

* Sun Jan 20 2002 Stefan van der Eijk <stefan@eijk.nu> 3.68-2mdk
- BuildRequires

* Sun Jan 20 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.68-1mdk
- new release

* Tue Jan 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.66-2mdk
- build against latest libXxf86dga

* Wed Jan 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.66-1mdk
- new release
- fix for compilation with libaa support despite aalib-config absence
- add plugins

* Tue Dec 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.65-1mdk
- new release

* Sun Oct 21 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.64-1mdk
- new release

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-3mdk
- rebuild for new libpng

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-2mdk
- compress patches

* Wed Oct 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.62-1mdk
- new release

* Tue Sep 25 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-5mdk
- pass the -c option in the dynamic entry.

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-4mdk
- correct XawTV script to pass args and save the config file.

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.60-3mdk
- added dynamic desktop entry

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.60-2mdk
- Use new icons
- Add missing files
- Fix %%post and %%postun to restart xfs nicely

* Thu Aug 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.60-1mdk
- new release

* Tue Aug 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.59-1mdk
- new release
- make %%install be short-circuit "aware"
- workaround broken configure & Makefile for install
- fix scantv (the -o option seems to have disappear)

* Tue Jul 24 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.57-1mdk
- new release

* Tue Jul 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.56-1mdk
- new release

* Thu Jul 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-3mdk
- add a big icon

* Fri Jul 06 2001 Stefan van der Eijk <stefan@eijk.nu> 3.55-2mdk
- BuildRequires: aalib-devel
- BuildRequires: lesstif-devel
- bzipped patches

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.55-1mdk
- new release

* Mon Jul 02 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.54-1mdk
- new release
- SMP build is broken

* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.52-1mdk
- new release
- add new programs

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.51-1mdk
- new version
- better scritps (url khassanov) : check if xfs runs before reloading it
- make a mini icon from the default one

* Wed Jun 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.50-1mdk
- new version
- improved scripts (one can use xawtv on fb console)

* Tue Jun 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.49-3mdk
- really add icon

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.49-1mdk
- new version

* Wed May 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.48-2mdk
- various spec cleaning
- restart xfs for xawtv fonts

* Tue May 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.48-1mdk
- new version

* Thu May 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.47-1mdk
- new version

* Mon May 07 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.46-1mdk
- new release

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.43-2mdk
- Various fixes from Abel Cheung <maddog@linuxhall.org>:
  - Modify BuildRequires.
  - Remove redundant manpages in xawtv-radio and corrected manpage placement.
  - $DISPLAY is checked before running xset during %%post.
  - Remove redundant configure option.
  - Remove unnecessary libpng dependence.
  
* Tue Apr 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.43-1mdk
- new version

* Mon Mar 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.41-1mdk
- new version

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.40-2mdk
- add icon in package

* Tue Mar 20 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.40-1mdk
- new release

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-4mdk
- last fix

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-3mdk
- minor fix

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-2mdk
- add wrapper to run scantv if not configured.

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.38-1mdk
- new version

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.37-1mdk
- new release

* Mon Feb 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.36-1mdk
- new release

* Sat Feb 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.35-1mdk
- Up to 3.35.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.34-1mdk
- New and shiny release for general consumption.

* Tue Jan 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.30-1mdk
- new release

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.28-1mdk
-  new version

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.27-1mdk
- new and shiny source.
- remove .bz2 extension for man-pages and change it to wildcard.

* Tue Nov 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.24-1mdk
- new release
- make rpmlint happier

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.23-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.22-1mdk
- new release

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-3mdk
- enable DPMS
- fix buildrequires
- disable mouse pointer on v4l buffer
- provide example config file for Paris inhabitants
- add alevtd, rootv, scantv and webcam

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-2mdk
- fix menu entry

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.21-1mdk
- new release

* Wed Sep 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-3mdk
- really fix ressources (i know, i've sucked :-( )
- add a menu entry

* Tue Sep 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-2mdk
- fix ressources
- spec file is now shrt-crct compliant :-)

* Wed Sep 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.20-1mdk
- new release

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.19-1mdk
- new release

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.18-1mdk
- fix url
- new release
- compile for XF4 (if you load v4l in module section of /etc/X11/XFconfig-4,
  you can do color conversion and image scaling in hardware on g200/g400
  with hackkernel).

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-3mdk
- BM
- fix build as non-root

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-2mdk
- little spec cleaning

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.17-1mdk
- new release
- package chmouelization :
	* use %%{_mandir}, %%{_prefix}
	* use spechelper
	* use %%makeinstall, %%configure

* Mon Jun 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.16-1mdk
- new release (mainly a smaller SRPM)

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.15-1mdk
- new release

* Tue Apr 18 2000 J. Nick Koston <bdraco@darkorb.net> 3.12-1mdk
- Madrakeified

